std::atomic_ref< _Tp >(3cxx)

NAME
std::atomic_ref< _Tp > - Class template to provide atomic operations on a non-atomic variable.

SYNOPSIS

#include <atomic>

  Public Member Functions

atomic_ref (_Tp &__t) noexcept
atomic_ref (const atomic_ref &)=default
atomic_ref & operator= (const atomic_ref &)=delete

Detailed Description

  template<typename _Tp>
struct std::atomic_ref< _Tp >"Class template to provide atomic operations on a non-atomic variable.

Author

Generated automatically by Doxygen for libstdc++ from the source code.